<?php include 'app_modal.php'; ?>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.1.3/js/bootstrap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/wow/1.0.2/wow.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.1.20/jquery.fancybox.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.9.0/jquery.validate.min.js"></script>
<script src="<?= site_url; ?>/designer/js/intlTelInput-jquery.js"></script>
<script src="<?= site_url; ?>/designer/js/themes.js"></script>

<script>
   $(".telePhone").intlTelInput({
      preferredCountries: ["in", "us"],
      initialCountry: "in",
      separateDialCode: true,
   });


   function setupPhoneValidation(formId) {
      $(formId + ' .telePhone').on('countrychange', function() {
         let countryData = $(this).intlTelInput("getSelectedCountryData");
         let validator = $(formId).validate();

         if (countryData.iso2 === 'in') {
            $(this).attr('maxlength', 10);
            validator.settings.rules.mobile.minlength = 10;
            validator.settings.rules.mobile.maxlength = 10;
            validator.settings.messages.mobile.minlength = "Your Mobile No. must be at least 10 digits long";
            validator.settings.messages.mobile.maxlength = "Your Mobile No. must be at least 10 digits long";
         } else {
            $(this).attr('maxlength', 17); // Increase maxlength for other countries
            validator.settings.rules.mobile.minlength = 4; // Set a minimum length
            validator.settings.rules.mobile.maxlength = 17; // Allow up to 17 digits
            validator.settings.messages.mobile.minlength = "Your Mobile No. must be 4-17 digits long";
            validator.settings.messages.mobile.maxlength = "Your Mobile No. must be 4-17 digits long";
         }

         $(this).valid();
      });
   }


   $(document).ready(function() {
      setupPhoneValidation("#contact_form");
      $("#contact_form").validate({
         rules: {
            name: "required",
            message: {

               required: true,

            },

            location: {

               required: true,

            },

            email: {

               required: true,

            },

            mobile: {

               required: true,

               number: true,

               minlength: 10,

               maxlength: 10,

            }

         },

         messages: {

            name: "Please enter your name",

            message: {

               required: "Please enter your message",

            },

            email: {

               required: "Please enter your email address"

            },

            location: {

               required: "Please enter your location",

            },

            mobile: {

               required: "Please enter your mobile no.",

               number: "Mobile No. contains only numbers",

               minlength: "Your Mobile No. must be 10 digits long",

               maxlength: "Your Mobile No. must be 10 digits long",

            }

         },

         submitHandler: function(form) {

            $.ajax({

               url: '<?= site_url; ?>/contact.php',

               type: 'POST',

               data: $('#contact_form').serialize(),

               dataType: 'json',

               success: function(response) {

                  if (response.status == true) {

                     $('#pop_up').text(response.message_response).css('color',

                        'green');

                     $('#contact_form')[0].reset();

                     grecaptcha.reset();

                  } else {

                     $('#pop_up').text(response.message_response).css('color',

                        'red');

                  }

               }

            });

         }

      });

   });







   $(document).ready(function() {
      setupPhoneValidation("#enq_pop_form1");
      $("#enq_pop_form1").validate({
         rules: {
            name: "required",
            message: {
               required: true,
            },
            location: {
               required: true,
            },
            email: {
               required: true,
            },
            mobile: {
               required: true,
               number: true,
               minlength: 10,
               maxlength: 10,
            }
         },
         messages: {
            name: "Please enter your name",
            message: {
               required: "Please enter your message",
            },
            email: {
               required: "Please enter your email address"
            },
            location: {
               required: "Please enter Your location",
            },
            mobile: {
               required: "Please enter your mobile no.",
               number: "Mobile No. contains only numbers",
               minlength: "Your Mobile No. must be 10 digits long",
               maxlength: "Your Mobile No. must be 10 digits long",
            }
         },
         submitHandler: function(form) {
            $.ajax({
               url: '<?= site_url; ?>/enquiry_popup.php',
               type: 'POST',
               data: $('#enq_pop_form1').serialize(),
               dataType: 'json',
               success: function(response) {
                  if (response.status == true) {
                     $('#enq_pop_up').text(response.message_response).css('color',
                        'green');
                     $('#enq_pop_form1')[0].reset();
                     grecaptcha.reset();
                  } else {
                     $('#enq_pop_up').text(response.message_response).css('color',
                        'red');
                  }
               }
            });
         }
      });
   });

   $(document).ready(function() {
      setupPhoneValidation("#product_pop_form");
      $("#product_pop_form").validate({

         rules: {

            name: "required",

            message: {

               required: true,

            },

            location: {

               required: true,

            },

            quantity: {

               required: true,

            },

            email: {

               required: true,

            },

            mobile: {

               required: true,

               number: true,

               minlength: 10,

               maxlength: 10,

            }

         },

         messages: {

            name: "Please enter your name",

            message: {

               required: "Please enter your message",

            },

            email: {

               required: "Please enter your email address"

            },

            location: {

               required: "Please enter your location",

            },


            quantity: {

               required: "Please enter your order quantity",

            },

            mobile: {

               required: "Please enter your mobile no.",

               number: "Mobile No. contains only numbers",

               minlength: "Your Mobile No. must be 10 digits long",

               maxlength: "Your Mobile No. must be 10 digits long",

            }

         },

         submitHandler: function(form) {

            $.ajax({

               url: '<?= site_url; ?>/enquirycat_popup.php',

               type: 'POST',

               data: $('#product_pop_form').serialize(),

               dataType: 'json',

               success: function(response) {

                  if (response.status == true) {

                     $('#cat_pop_up').text(response.message_response).css('color',

                        'green');

                     $('#product_pop_form')[0].reset();

                     grecaptcha.reset();

                  } else {

                     $('#cat_pop_up').text(response.message_response).css('color',

                        'red');

                  }

               }

            });

         }

      });

   });



   $(document).ready(function() {
      setupPhoneValidation("#whatsapp_form");
      $("#whatsapp_form").validate({

         rules: {

            name: "required",

            mobile: {

               required: true,

               number: true,

               minlength: 10,

               maxlength: 10,

            }

         },

         messages: {

            name: "Please Enter Your Name",

            mobile: {

               required: "Please Enter Your Mobile Number",

               number: "Mobile Number Must be Number",

               minlength: "Mobile Number must have 10 digits",

               maxlength: "Mobile Number must have 10 digits",

            }

         },

      });

   });

   $('#whatsapp_form').submit(function(e) {
      e.preventDefault();

      if (!$('#whatsapp_form').valid()) return;

      $(':input[type="submit"]').prop('disabled', true);

      $.ajax({

         'url': '<?= site_url; ?>/whatsapp_enq.php',

         'type': 'POST',

         'dataType': 'json',

         'data': $(this).serialize(),

         'success': function(result) {

            if (result.status == false) {

               $('.wht_success_message').text('');

               $('.wht_error_message').text(result.message_response)

               $(':input[type="submit"]').prop('disabled', false);

            } else {

               $('.wht_error_message').text('');

               $('.wht_success_message').text("You Have Successfully Submitted enquiry. We will contact you soon.");

               $('#whatsapp_form').trigger("reset");

               window.open(result.message_response, '_blank');

               $(':input[type="submit"]').prop('disabled', false);

            }

         }

      });

   });

   $(document).ready(function() {
      setupPhoneValidation("#callback_form");

      $("#callback_form").validate({

         rules: {

            name: "required",

            mobile: {

               required: true,

               number: true,

               minlength: 10,

               maxlength: 10,

            }

         },

         messages: {

            name: "Please enter your name",

            mobile: {

               required: "Please enter your mobile no.",

               number: "Mobile No. contains only numbers",

               minlength: "Your Mobile No. must be 10 digits long",

               maxlength: "Your Mobile No. must be 10 digits long",

            }

         },

         submitHandler: function(form) {
            $(':input[type="submit"]').prop('disabled', true);

            $.ajax({

               url: '<?= site_url; ?>/ajax_enq_action.php',

               type: 'POST',

               data: $('#callback_form').serialize(),

               dataType: 'json',

               success: function(response) {

                  if (response.status == true) {

                     $('#cpop_up').text(response.message_response).css('color',

                        'green');

                     $('#callback_form')[0].reset();

                     grecaptcha.reset();

                  } else {

                     $('#cpop_up').text(response.message_response).css('color',

                        'red');

                  }

               }

            });

         }

      });

   });

   function ValidateAlpha(evt) {

      var keyCode = (evt.which) ? evt.which : evt.keyCode

      if ((keyCode < 65 || keyCode > 90) && (keyCode < 97 || keyCode > 123) && keyCode != 32)

         return false;

      return true;

   }

   function isNumberKey(evt) {

      //var e = evt || window.event;

      var charCode = (evt.which) ? evt.which : evt.keyCode

      if (charCode != 46 && charCode > 31 &&

         (charCode < 48 || charCode > 57))

         return false;

      return true;

   }

   function validateOnlyTextField(element) {

      var str = element.value;

      if (str == ' ') {

         element.value = "";

      }

      if (!(/^[a-zA-Z\s]+$/.test(str))) {

         // console.log('String contain number characters');

         str = str.substr(0, str.length - 1);

         element.value = "";

      }

   }


   $('.iti__country-list li').click(function() {

      $("#code").val($(this).data('dial-code'));

      $(".mobile").val($(this).data('country-code-code'));

      $('#countryName').val($(".iti__country-name", this).text());

      $(".code").val($(this).data('dial-code'));

      $('.countryName').val($(".iti__country-name", this).text());

   })


   //disabling context menu

   document.onkeydown = function(e) {

      if (e.ctrlKey &&

         (e.keyCode === 67 ||

            e.keyCode === 86 ||

            e.keyCode === 85 ||

            e.keyCode === 117)) {

         return false;

      } else {

         return true;

      }

   };

   $(document).keypress("u", function(e) {

      if (e.ctrlKey) {

         return false;

      } else {

         return true;

      }

   });

   document.addEventListener("contextmenu", function(e) {

      e.preventDefault();

   }, false);
</script>